KeyIterator (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.io.sstable

## Class KeyIterator

- java.lang.Object
- - com.google.common.collect.UnmodifiableIterator<T>
  - - com.google.common.collect.AbstractIterator<DecoratedKey>
    - - org.apache.cassandra.io.sstable.KeyIterator

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<DecoratedKey>, CloseableIterator<DecoratedKey>

      public class KeyIterator
      extends com.google.common.collect.AbstractIterator<DecoratedKey>
      implements CloseableIterator<DecoratedKey>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyIterator(Descriptor desc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected DecoratedKey` | `computeNext()`
    `long` | `getBytesRead()`
    `long` | `getTotalBytes()`

    - ### Methods inherited from class com.google.common.collect.AbstractIterator

      `endOfData, hasNext, next, peek`

    - ### Methods inherited from class com.google.common.collect.UnmodifiableIterator

      `remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

- - ### Constructor Detail

    - #### KeyIterator

          public KeyIterator(Descriptor desc)

  - ### Method Detail

    - #### computeNext

          protected DecoratedKey computeNext()

      Specified by:
        `computeNext` in class `com.google.common.collect.AbstractIterator<DecoratedKey>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`

    - #### getBytesRead

          public long getBytesRead()

    - #### getTotalBytes

          public long getTotalBytes()

Copyright © 2018 The Apache Software Foundation